---------------------
PatchSet 3635 
Date: 2002/01/27 19:47:36
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Added client.exe to SquidNT MS VC Project

Members: 
	win/update.bat:1.1.2.2->1.1.2.3 
	win/win.dsw:1.1.2.5->1.1.2.6 
	win/client/client.dsp:1.1->1.1.2.1 
	win/squidnt/squidnt.dsp:1.1.2.6->1.1.2.7 

Index: squid/win/update.bat
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/update.bat,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/win/update.bat	2 Dec 2001 20:36:47 -0000	1.1.2.2
+++ squid/win/update.bat	27 Jan 2002 19:47:36 -0000	1.1.2.3
@@ -1,11 +1,12 @@
 @echo off
-rem if %1==release net stop "SquidNT2.3"
+if %1==release net stop "SquidNT2.3"
 copy %0\..\squidnt\%1\squid.exe %2\squid.exe
 copy %0\..\dnsserver\%1\dnsserver.dll %2\dnsserver.dll
+copy %0\..\client\%1\client.exe %2\client.exe
 copy %0\..\..\auth_modules\NT\%1\nt_auth.dll %2\nt_auth.dll
 copy %0\..\..\auth_modules\NCSA\%1\ncsa_auth.dll %2\ncsa_auth.dll
 copy %0\..\..\auth_modules\ldap\%1\ldap_auth.dll %2\ldap_auth.dll
 copy %0\..\..\contrib\htpasswd\%1\htpasswd.exe %2\htpasswd.exe
 copy %0\..\cachemgr\%1\cachemgr.exe %2\cgi-bin\cachemgr.cgi
 copy %0\..\..\contrib\chpasswd\%1\chpasswd.exe %2\cgi-bin\chpasswd.cgi
-rem if %1==release net start "SquidNT2.3"
+if %1==release net start "SquidNT2.3"
Index: squid/win/win.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/Attic/win.dsw,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid/win/win.dsw	16 Sep 2001 09:51:03 -0000	1.1.2.5
+++ squid/win/win.dsw	27 Jan 2002 19:47:36 -0000	1.1.2.6
@@ -120,6 +120,24 @@
 
 ###############################################################################
 
+Project: "client"=".\client\client.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name squid_conf
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name miscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "dnsserver"=".\dnsserver\dnsserver.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -242,6 +260,9 @@
     Begin Project Dependency
     Project_Dep_Name libsnmp
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name client
+    End Project Dependency
 }}}
 
 ###############################################################################
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/win/client/client.dsp	Wed Feb 14 00:57:09 2007
@@ -0,0 +1,106 @@
+# Microsoft Developer Studio Project File - Name="client" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=client - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "client.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "client.mak" CFG="client - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "client - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "client - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "client - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../include" /I "../" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib psapi.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "client - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 kernel32.lib user32.lib advapi32.lib ws2_32.lib psapi.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "client - Win32 Release"
+# Name "client - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\src\client.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\src\squid.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
Index: squid/win/squidnt/squidnt.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/win/squidnt/Attic/squidnt.dsp,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.7
diff -u -r1.1.2.6 -r1.1.2.7
--- squid/win/squidnt/squidnt.dsp	2 Dec 2001 20:36:47 -0000	1.1.2.6
+++ squid/win/squidnt/squidnt.dsp	27 Jan 2002 19:47:36 -0000	1.1.2.7
@@ -309,6 +309,13 @@
 # Begin Source File
 
 SOURCE=..\..\src\leakfinder.c
+
+!IF  "$(CFG)" == "squidnt - Win32 Release"
+
+!ELSEIF  "$(CFG)" == "squidnt - Win32 Debug"
+
+!ENDIF 
+
 # End Source File
 # Begin Source File
 
@@ -499,6 +506,34 @@
 # Begin Group "Header Files"
 
 # PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\src\defines.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\enums.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\globals.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\protos.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\squid.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\structs.h
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\src\typedefs.h
+# End Source File
 # End Group
 # Begin Group "Resource Files"
 
